DBIx::Class::Storage::DBI::Cursor(3)

NAME
DBIx::Class::Storage::DBI::Cursor - Object representing a query cursor on a resultset.

SYNOPSIS
  my $cursor = $schema->resultset('CD')->cursor();
  my $first_cd = $cursor->next;

DESCRIPTION
A Cursor represents a query cursor on a DBIx::Class::ResultSet object. It allows for traversing the result set with "next", retrieving all results with "all" and resetting the cursor with "reset".

Usually, you would use the cursor methods built into DBIx::Class::ResultSet to traverse it. See "next" in DBIx::Class::ResultSet, "reset" in DBIx::Class::ResultSet and "all" in DBIx::Class::ResultSet for more information.

METHODS

  new
Returns a new DBIx::Class::Storage::DBI::Cursor object.

  next

Arguments: none
Return Value: \@row_columns

Advances the cursor to the next row and returns an array of column values (the result of "fetchrow_array" in DBI method).

  all

Arguments: none
Return Value: \@row_columns+

Returns a list of arrayrefs of column values for all rows in the DBIx::Class::ResultSet.

  reset
Resets the cursor to the beginning of the DBIx::Class::ResultSet.